ADSentenceStream.SentenceParser.Leaf (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.ad, class: ADSentenceStream, class: SentenceParser, class: Leaf

# Class ADSentenceStream.SentenceParser.Leaf

java.lang.Object
opennlp.tools.formats.ad.ADSentenceStream.SentenceParser.TreeElement
opennlp.tools.formats.ad.ADSentenceStream.SentenceParser.Leaf

Enclosing class:
  `ADSentenceStream.SentenceParser`

public static class ADSentenceStream.SentenceParser.Leaf extends ADSentenceStream.SentenceParser.TreeElement
Represents the AD leaf

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Leaf()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFunctionalTag()`
  `String`
  `getLemma()`
  `String`
  `getLexeme()`
  `String`
  `getSecondaryTag()`
  `boolean`
  `isLeaf()`
  `void`
  `setFunctionalTag(String funcTag)`
  `void`
  `setLemma(String lemma)`
  `void`
  `setLexeme(String lexeme)`
  `void`
  `setSecondaryTag(String secondaryTag)`
  `String`
  `toString()`

  ### Methods inherited from class ADSentenceStream.SentenceParser.TreeElement

  `getLevel, getMorphologicalTag, getSyntacticTag, setLevel, setMorphologicalTag, setSyntacticTag`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Leaf

    public Leaf()

- ## Method Details

  - ### isLeaf

    public boolean isLeaf()
    Overrides:
      `isLeaf` in class `ADSentenceStream.SentenceParser.TreeElement`

  - ### setFunctionalTag

    public void setFunctionalTag(String funcTag)

  - ### getFunctionalTag

    public String getFunctionalTag()

  - ### setSecondaryTag

    public void setSecondaryTag(String secondaryTag)

  - ### getSecondaryTag

    public String getSecondaryTag()

  - ### setLexeme

    public void setLexeme(String lexeme)

  - ### getLexeme

    public String getLexeme()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setLemma

    public void setLemma(String lemma)

  - ### getLemma

    public String getLemma()